Skip to main content
PUT
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

entity_id
string<uuid>
required
guest_id
string<uuid>
required

Body

application/json
title
object
gender
object
firstname
object
lastname
object
middlename
object
company
object
birthdate
object
pmsId
object
loyalty
object
languages
object[]
nationalities
object[]
emails
object[]
phones
object[]
notes
object[]
addresses
object[]
socials
object
documents
object
optedOut
object
customFields
object
tags
string[]
revenue
number
strict
boolean

If set to true, the request payload will fully override all guest attributes.

Response

Resource